/* ********************************************************************* */
//   Filename: BL_SHIP.POV & .GIF                                        //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   Odds and Ends Tester ... b-series                                   //
//   Blobby Space Ship ver. A, beauty shot                    6 Oct 97   //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "odd_ends.inc"                // Textures, Complex Objects

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.7 } }   // ambient light
max_trace_level 7

/* ********************************************************************* */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 50000 }
         texture { MidBlue_Tex
            ambient 0.7
            diffuse 0.7
                 }  //end texture
         color MidnightBlue
       }  //end object Sky

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
  direction < 0 0 2.6 >
//  location  <  0.0   0  -60.0 >     // near S
//  look_at   <  0.0   0    0.0 >     // center
//  location  < 70.0   5    0.0 >     // near E
//  look_at   <  0.0   5    0.0 >     // center
  location  < 45.0   7.5  -35.0 >     // near SE      BL_SHIP1.GIF
  look_at   <  0.0   0.0    0.0 >     // scene center
       }  //end of camera Test View

/* ********************************************************************* */
//                            Object Definitions                         //
/* ********************************************************************* */

/* ********************************************************************* */
// DEFINE SCENE  *****   TEST OF ASSORTED STANDARDIZED ELEMENTS    ***** //
/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
object { light_source { FloodSW1 } }   // high flood light
object { light_source { FloodSW2 } }   // high flood light
//composite { Flood_Bank1 }              // pseudo sun  -300
//composite { Flood_Bank2 }              // pseudo sun  -700

/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA

camera { TestView }                    // Variable with each view
//camera { OverHigh }                    // < 0 650 -1 >
//camera { OverMed }                     // < 0 300 -1 >
//camera { OverLow }                     // < 0 100 -1 >

/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE ELEMENTS IN SCENE
/* ********************************************************************* */

object { Test_FloorB texture { Chex_Tex } translate < 0 -15 0 > }

composite { BlobShip_A
            scale < 1 1 1 >            //scale to suit
            rotate < -80 -10 270 >      //ship faces S beauty shot
//            rotate <   0   0 270 >      //ship faces E
//            rotate < 270   0   0 >      //ship faces S on its side
//            rotate <   0   0  90 >      //ship faces E
//            rotate <   0  90   0 >      //ship rotates on its tail
//            rotate <  90   0   0 >      //ship faces N on its side
//            rotate <   0   0   0 >      //ship stands on its tail
            translate < 0 0 0 >        //relocate ship
          } // end composite Blob Ship A

/* ********************************************************************* */
/* ********************************************************************* */

/*       STORAGE...
composite { Grid_Zero translate < 0 0 0> }
composite { Grid_Plus translate < 0 0 0> }
composite { Grid_Up   translate < 0 0 0> }
composite { Push_Pin  translate <  20 0 15 > } //markers
composite { Push_Pin  translate <  20 0 65 > }
object { Rod_X  translate < 0 0 0 > }  //tubular markers
object { Rod_Y  translate < 0 0 0 > }
object { Rod_Z  translate < 0 0 0 > }
composite { RodGrid }
composite { RodGrid  translate < 0  5 0 > }
composite { RodGrid  translate < 0 10 0 > }
*/

/* ********************************************************************* */
/* END OF   TEST  BL_SHIP1   FILE             ************************** */
/* ********************************************************************* */
