/* ********************************************************************* */
//   Filename: CROSS_b.POV                                               //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   Revised Universal Scene Template             Aug96-Oct 97  Ver 2.1  //
//   Odds and Ends Tester ... b-series                6 Oct 97           //
//   b 03: wooden cross, Roof shapes    //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "odd_ends.inc"                // Textures, Complex Objects
#include "towers.inc"

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.6 } }   // ambient light
max_trace_level 4

/* ********************************************************************* */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 50000 }
         texture { LightBlue_Tex  //BABlue3
                   scale < 6000 100 500 >
                   ambient 0.6
                   diffuse 0.6
                 }  //end texture
         color Aquamarine   //color MidnightBlue
       }  //end object Sky

/* ********************************************************************* */

// DEFINE SPOT LIGHT on Test Object at < 0 0 0 >

#declare TestSpot1 =
light_source {
   < 0 20 -20 >                       // from south
   color White
   spotlight
   point_at < 0 0 0 >                  // Test object
   tightness 2
   radius 2
   falloff 4
             }  // end of TestSpot 1

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
  direction < 0 0 4 >                  // CROSS_B.GIF Arbor
//  location  <   0.0 15.0 -20.0 >       // near S
//  look_at   <   0.0  5.0   0.0 >       // scene center

  location  <   5.0  25.0  -15.0 >     // near SE
  look_at   <   0.0   0.0    0.0 >     // center

//  location  < 20.0   0.0    0.0 >      // near E
//  look_at   <  0.0   0.0    0.0 >      // center

//  location  <  0.0   0.0  -20.0 >      // near S
//  look_at   <  0.0   0.0    0.0 >      // scene center
       }  //end of camera Test View

/* ********************************************************************* */
//                            Object Definitions                         //
/* ********************************************************************* */

/* ********************************************************************* */
// DEFINE SCENE  *****   TEST OF ASSORTED STANDARDIZED ELEMENTS    ***** //
/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
object { light_source { FloodSouth } } // low front flood light
object { light_source { FloodSW1 } }   // high flood light -1000
object { light_source { FloodSW2 } }   // high flood light -500

//                                ***** Test Locations
object { light_source { TestSpot1 } }  // on < 0 0 0 > Test Object

/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA

camera { TestView }                    // Variable with each view

/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE ELEMENTS IN SCENE
/* ********************************************************************* */

composite { Cross_Basic }
object { Test_FloorB texture { Grnt20 } translate < 0 -5 0 > }

/*
object { Rod_X  translate < 0 0 0 > }  // yellow
object { Rod_Y  translate < 0 0 0 > }
object { Rod_Z  translate < 0 0 0 > }  // green
object { Rod_Y  translate < 0 0 5 >  scale < 1 0.5 1 > }  //n

object { Wall_Z1                       //backdrop wall
         texture { Green_Tex }
         scale     <  20 10  1 >
         translate < -10 10 15 > } // end Wall Z1
*/

/* ********************************************************************* */
/* ********************************************************************* */

/*       STORAGE...
composite { Grid_Zero translate < 0 0 0> }
composite { Grid_Plus translate < 0 0 0> }
composite { Grid_Up   translate < 0 0 0> }
composite { Push_Pin  translate <  20 0 15 > } //markers
composite { Push_Pin  translate <  20 0 65 > }
object { Rod_X  translate < 0 0 0 > }  // yellow
object { Rod_Y  translate < 0 0 0 > }  // red
object { Rod_Z  translate < 0 0 0 > }  // green
composite { RodGrid  translate < 0  0 0 > }
composite { RodGrid  translate < 0  5 0 > }
composite { RodGrid  translate < 0 10 0 > }
*/

/* ********************************************************************* */
/* END OF   Cross Basic    FILE      ************************** */
/* ********************************************************************* */
