/* ********************************************************************* */
//   Filename: GEMS01::TEST b02.POV                                      //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   Revised Universal Scene Template             Aug96-Oct 97  Ver 2.1  //
//   Odds and Ends Tester ... b-series                6 Oct 97           //
//   Gems One: b 02: Display of Gems on Stands        7 Oct 97           //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "odd_ends.inc"                // Textures, Complex Objects

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.7 } }   // ambient light
max_trace_level 6

/* ********************************************************************* */

#declare BABlue3 =                     //Our_House sky variant 1.1   7 Oct
texture {                              //saved TEX.INC BABlue2
   bozo
   turbulence  0.125   // 1.0+ :finer grain; >1.0 : puffier grain
   colour_map {
      [ 0.0  0.3  color Aquamarine
                  color red 0.4  green 0.4  blue 0.9 ]
      [ 0.3  0.55 color red 0.4  green 0.4  blue 0.9
                  color red 0.5  green 0.5  blue 0.9 ]
      [ 0.55 0.7  color red 0.5  green 0.5  blue 1.0
                  color White ]
      [ 0.7  1.0  color White
                  color Gray50 ]
              } //end map
        }  //  end Bright Aqua Blue 3 sky

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 50000 }
         texture { BABlue3
                   scale < 6000 100 500 >
                   ambient 0.6
                   diffuse 0.6
                 }  //end texture
         color Aquamarine   //color MidnightBlue
       }  //end object Sky

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
  direction < 0 0 2 >                  //TESTB02.GIF Gem Display
  location  <  -2.0  12.0 -20.0 >      // near SE
  look_at   <  -5.0   7.5   5.0 >      // scene center

//  location  <  0.0   0  -60.0 >        // near S
//  look_at   <  0.0   0    0.0 >        // center
//  location  < 70.0   5    0.0 >        // near E
//  look_at   <  0.0   5    0.0 >        // center
//  location  <  0.0   7.0 -8.0 >        // near S
//  look_at   <  0.0   7.0  0.0 >        // scene center
       }  //end of camera Test View

/* ********************************************************************* */
//                            Object Definitions                         //
/* ********************************************************************* */
/* ********************************************************************* */

//   DEFINE a backdrop texture for Gem Display

#declare Display_A =
texture {
   gradient < 1 0 0 >
   turbulence 0.40
   color_map {
      [ 0.00  0.25  color PaleGreen
                    color SummerSky ]
      [ 0.25  0.60  color SummerSky
                    color ForestGreen ]
      [ 0.60  0.80  color ForestGreen
                    color Green ]
      [ 0.80  1.01  color Green
                    color PaleGreen ]
             } //end map
   brilliance 0.01
   roughness 0.0024
   ambient 0.4
   diffuse 0.4
   reflection 0.01
   scale < .23 1 1 >
        }  // end texture Display curtain

/* ********************************************************************* */
// DEFINE SCENE  *****   TEST OF ASSORTED STANDARDIZED ELEMENTS    ***** //
/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
//object { light_source { FloodSW1 } }   // high flood light -1000
object { light_source { FloodSW2 } }   // high flood light -500

/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA

camera { TestView }                    // Variable with each view

/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE ELEMENTS IN SCENE
/* ********************************************************************* */

//  A demo of Odds & Ends objects...      GEMS01.GIF

//backdrop wall
object { Wall_Z1
         texture { Display_A }
         scale     < 10 10  1 >
         translate < -5 10 15 > } // end Wall Z1

object { Test_FloorB texture { Gray75_Tex } }

composite { Gem_One_Display translate <  -4.1 -0.4  1.5 > }
composite { Icosa_Display   translate <  -1.5  0.0  4.4 > }
composite { Tetra_Display   translate < -10.0  0.0 10.0 > }
composite { Octa_Display    translate <  -9.5 -0.3  0.6 > }
composite { Dodeca_Display  translate <  -4.0  0.0  7.5 > }
composite { Prism_A_Display translate <  -5.0 -5.0  0.0 > }

/* ********************************************************************* */
/* ********************************************************************* */

/*       STORAGE...
composite { Grid_Zero translate < 0 0 0> }
composite { Grid_Plus translate < 0 0 0> }
composite { Grid_Up   translate < 0 0 0> }
composite { Push_Pin  translate <  20 0 15 > } //markers
composite { Push_Pin  translate <  20 0 65 > }
object { Rod_X  translate < 0 0 0 > }  //tubular markers
object { Rod_Y  translate < 0 0 0 > }
object { Rod_Z  translate < 0 0 0 > }
composite { RodGrid  translate < 0  0 0 > }
composite { RodGrid  translate < 0  5 0 > }
composite { RodGrid  translate < 0 10 0 > }
*/

/* ********************************************************************* */
/* END OF   GEMS 01   FILE      ************************** */
/* ********************************************************************* */
