/* **************************************************************** */
//   Filename: GRILLBOX.POV                                         //
//   from Revised Universal Scene Template    Aug-Oct 1996 Ver 2.0  //
//   test of  Grill, Grill Box                                //
/* **************************************************************** */

/* **************************************************************** */
//                           Global Definitions                     //
/* **************************************************************** */

#include "basic.inc"                   // Lights Cameras Simple objects
//#include "temple.inc"

/* **************************************************************** */
/* **************************************************************** */

// DEFINE DEFAULTS

#default { texture { ambient 0.4 } }   // ambient light
/* **************************************************************** */

//DEFINE SKY  *****   fuzzy strings of color   *****
/*
object { sphere { < 0 0 0 > 35000 }
         texture { Blue_Sky
            scale < 6000 90000 6000 >
            ambient 0.3
            diffuse 0.0
                 } //end texture
         color Gray50
       }  //end object Sky

object { sphere { < 0 0 0 > 35000 }        // 150000
         texture { Sky_Agate
            scale < 6000 90000 6000 >
            rotate < 55 0 0 >
            ambient 0.3
            diffuse 0.0
                 }  //end texture
         texture { Sky_Agate2
            scale < 5800 90000 5700 >
            rotate < 51 0 0 >
            ambient 0.3
            diffuse 0.0
                 }  //end texture
         color White                   // low resolution display color
       }  //end object Sky
*/
/* **************************************************************** */

// DEFINE SPOT LIGHT on TEST OBJECT   *****   at < 0 0 0 >

#declare TestSpot =
light_source {
   < 95 200 -300 >                       // from south east
   color White
   spotlight
   point_at < 0 5 0 >                  // Test object
   tightness 35
   radius 25
   falloff 80
    }  //end of TGSpot

/* **************************************************************** */
/* **************************************************************** */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
//  location  < 90    170   -65   >       //
  location  <  25.0  20   -160    >    //due south of obj
  direction <   0.0   0.0    1.25 >
  up        <   0.0   1.0    0.0 >
  right     <   1.33  0.0    0.0 >
  look_at   <  25.0  15.0    0.0 >     //Test Object Grill Tower
       }  //end of camera Test View

/* **************************************************************** */
/* **************************************************************** */

#declare Arch_B =                      // a basic arch from ROMAN.POV
object {                               // revised 18 Oct 96
   intersection {
      quadric { Cylinder_X scale < 1 10 10 > }
      quadric { Cylinder_X scale < 1  8  8 > inverse }
      plane { <1.0 0.0 0.0> 2.0 }
      plane { <-1.0 0.0 0.0> 2.0 }
      plane { <0.0 -1.0 0.0> 0.0 }
                 } //end intersection
   bounded_by {
      quadric {
         Ellipsoid
         scale < 5.5 13.5 13.5 > 
              } //end quartic
              } //end bounding
   texture {
      Brown_Agate
      scale <10.0 5.0 10.0>
      ambient 0.2
      diffuse 0.5
      reflection 0.2
           } // end texture
   color LightBlue                          // low res. color
       } // end object Arch_B

/* ********************************** */
#declare Thing_B =
composite{
   object { Arch_B
               scale < 1 1 1 >
               rotate < 90 0 0 >
               translate < 0 5 0 >
          } //end obj Arch B 1
   object { Arch_B
               scale < 1 1 1 >
               rotate < -90 0 0 >
               translate < 0 5 0 >
          } //end obj Arch B 2
         }  //  end composite Thing B

/* ********************************** */
#declare Thing_C =
composite{
   object { Arch_B
               scale < 1 1 1 >
               rotate < 90 0 0 >
               translate < 0 5 -7 >
          } //end obj Arch B 1
   object { Arch_B
               scale < 1 1 1 >
               rotate < -90 0 0 >
               translate < 0 5 7 >
          } //end obj Arch B 2
         }  //  end composite Thing C

/* ********************************** */
#declare Grill1 =
composite {
  composite { Thing_C }
  composite { Thing_C  translate < 0 0 13 > }
  composite { Thing_C  translate < 0 0 -13 > }
  composite { Thing_C  translate < 0 0 -26 > }
          } // end composite Grill 1

/* ********************************** */
#declare GrillBox =
composite {
   composite { Grill1                     translate <  0  6   0 > } //W
   composite { Grill1  rotate < 0 90 0 >  translate < 32  6  18 > } //N
   composite { Grill1  rotate < 0 90 0 >  translate < 32  6 -31 > } //S
   composite { Grill1                     translate < 50  6   0 > } //E
   bounded_by { box {
                  UnitBox  scale < 48 21 48 > }
              }  // end bounding
          }  // end composite Grill Box

/* ********************************** */
#declare Platform =
object { box { UnitBox
                  texture {
                     Brown_Agate
                     scale <10.0 5.0 10.0>
                     ambient 0.2
                     diffuse 0.5
                     reflection 0.2
                          } // end texture
                  scale < 33 2 33 >
             } //end box
       } // end obj


/*
/* ********************************** */
#declare Roof =                        // Arch A stretched
composite {
   object { Arch_A  scale < 10 1 1 > }
   object { Arch_A  scale < 10 1 1 > rotate < 0 90 0 > }
          }  // end composite Roof
*/

/* **************************************************************** */
/* **************************************************************** */

// DEFINE SCENE  *****  TEST OF ASSORTED STANDARDIZED ELEMENTS    ****

// LIGHTS!                        ***** DEFINE LIGHT SOURCES

//                                ***** for all scenes
object { light_source { FloodRear } }  // high rear flood light
object { light_source { FloodSouth } } // low front flood light
//object { light_source { FloodSE } }    // high checker flood light
object { light_source { FloodSW } }    // high checker flood light

//                                ***** for center floor < 0 0 0 >
//object { light_source { SpotRight1 } } // +x +y +z spot light
//object { light_source { SpotLeft1 } }  // -x +y -z spot light
//object { light_source { SpotRight2 } } // +x -y -z spot light
//object { light_source { SpotLeft2 } }  // -x -y -z spot light

//                                ***** for center floor other objs

//                                ***** Test Locations
//object { light_source { TestSpot } }   // on TEST obj at <0 0 0>


// CAMERA!                        ***** POSITION CAMERA

camera { TestView }                    // Variable with each view
//camera { OverHigh }                    // < 0 650 -1 >
//camera { OverMed }                     // < 0 300 -1 >
//camera { OverLow }                     // < 0 100 -1 >

//camera { South1 }                      // <   0 20 -50 >
//camera { West1 translate < -25 0 0 > }   // < -50 20   0 >
//camera { North1 }                      // <   0 20  50 >
//camera { East1 }                       // <  50 20   0 >

//camera { SouthWest1 }                  // < -25 20 -25 >
//camera { SouthWest2 }                  // < -50 20 -50 >
//camera { NorthWest1 }                  // < -25 20  25 >
//camera { NorthWest2 }                  // < -50 20  50 >
//camera { SouthEast1 }                  // < 25 20 -25 >
//camera { SouthEast2 }                  // < 50 20 -50 >
//camera { NorthEast1 }                  // < 25 20  25 >
//camera { NorthEast2 }                  // < 50 20  50 >

/* **************************************************************** */
// ACTION!                        ***** DESCRIBE ELEMENTS IN SCENE //
/* **************************************************************** */

/* **************************************************************** */
// **********   MAIN LINE OF SCRIPT FILE    **********              //
/* **************************************************************** */

//composite { Grid_Zero }
object    { Floor13_B }
object { Platform  translate < 25 0 -6 > }
composite { GrillBox }
composite { GrillBox  translate < 0 19 0 > }
composite { GrillBox  translate < 0 38 0 > }


/* **************************************************************** */
/* END OF   Grill Box    FILE              ************************ */
/* **************************************************************** */
