/* ********************************************************************* */
//   Filename: LAMPROAD.POV                                              //
//   Revised Universal Scene Template             Aug-Sept 1996 Ver 2.0  //
//           A Garden Path                             Nov 1996 Ver 1.0  //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "brendan2.inc"                // Complex Objects: non-temple

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.4 } }   // ambient light
/* ********************************** */

//DEFINE SKY  ***** *****
/*
object { sphere { < 0 0 0 > 3000 }
         texture { Blue_Sky            // big puffy white/gray clouds
            scale < 400 200 700 >
            turbulence 0.35
            ambient 0.8
            diffuse 0.8
                 }  //end texture
         color White                   // low resolution display color
       }  //end object Sky
*/
/* ********************************** */

//DEFINE SKY  *****   fuzzy strings of color   *****

object { sphere { < 0 0 0 > 35000 }        // 150000
         texture { Sky_Agate
            scale < 6000 90000 6000 >
            rotate < 55 0 0 >
            ambient 0.3
            diffuse 0.0
                 }  //end texture
         texture { Sky_Agate2
            scale < 5800 90000 5700 >
            rotate < 51 0 0 >
            ambient 0.3
            diffuse 0.0
                 }  //end texture
         color White                   // low resolution display color
       }  //end object Sky

/* ********************************** */

// DEFINE SPOT LIGHT on TEST OBJECT   *****   at < 0 0 0 >

#declare TestSpot =
light_source {
   < -75  50 190 >                     // from north west
   color White
   spotlight
     point_at < 0 0 0 >                  // Test object
     tightness 25
     radius 25
     falloff 50
    }  //end of TGSpot

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
  location  < -30.0  10.0  -1.0 >      // near SW of < 0 0 0 >
  direction <   0.0   0.0   1.5 >
  up        <   0.0   1.0   0.0 >
  right     <   1.33  0.0   0.0 >
  look_at   <   0.0   5.0   0.0 >      // world center 5.0 above floor
       }  //end of camera Test View
/* ********************************** */

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE SCENE  *****  TEST OF ASSORTED STANDARDIZED ELEMENTS    *****

// LIGHTS!                        ***** DEFINE LIGHT SOURCES

//                                ***** global lighting
object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
//object { light_source { FloodSE } }    // high checker flood light
//object { light_source { FloodSW } }    // high checker flood light

//                                ***** Test Locations
object { light_source { TestSpot } }   // on < 0 0 0 > Test Object


// CAMERA!                        ***** POSITION CAMERA

camera { TestView }                    // Variable with each view
//camera { OverHigh }                    // < 0 650 -1 >
//camera { OverMed }                     // < 0 300 -1 >
//camera { OverLow }                     // < 0 100 -1 >

//camera { South1 }                      // <   0 20 -50 >
//camera { West1 }                       // < -50 20   0 >
//camera { North1 }                      // <   0 20  50 >
//camera { East1 }                       // <  50 20   0 >

//camera { SouthWest1 }                  // < -25 20 -25 >
//camera { SouthWest2 }                  // < -50 20 -50 >
//camera { NorthWest1 }                  // < -25 20  25 >
//camera { NorthWest2 }                  // < -50 20  50 >

//camera { SouthEast1 }                  // < 25 20 -25 >
//camera { SouthEast2 }                  // < 50 20 -50 >
//camera { NorthEast1 }                  // < 25 20  25 >
//camera { NorthEast2 }                  // < 50 20  50 >


// ACTION!                        ***** DESCRIBE ELEMENTS IN SCENE

object { Floor13_B }

//composite { Grid_Zero }

//composite { Grid_Plus
//            translate < 0 0 0> }

//composite { Grid_Up
//            translate < 0 0 0> }


/* ********************************************************************* */
/*  *****                   TEST  THIS  OBJECT:                    ***** */
/* ********************************************************************* */


object  { Road2  scale < 1.5 1 2 >  rotate < 0 90 0 > }

composite { LampPost_1  translate <  5  0  10 > }
composite { LampPost_1  translate < 20  0  10 > }
composite { LampPost_1  translate < 35  0  10 > }
composite { LampPost_1  translate < 50  0  10 > }
composite { LampPost_1  translate < 65  0  10 > }

composite { Tree_B      translate <  5  0 -10 > }
composite { Tree_B      translate < 20  0 -10 > }
composite { Tree_B      translate < 35  0 -10 > }
composite { Tree_B      translate < 50  0 -10 > }
composite { Tree_B      translate < 65  0 -10 > }

object { Hedge_B scale < 2 1.3 1.3 > translate < 0 0  15 > }
object { Hedge_B scale < 2 1.3 1.3 > translate < 0 0 -15 > }
object { Hedge_B scale < 2 1.3 1.3 > translate < 20 0  15 > }
object { Hedge_B scale < 2 1.3 1.3 > translate < 20 0 -15 > }

/* ********************************************************************* */
/* END OF   TEST 2   FILE                     ************************** */
/* ********************************************************************* */
