/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/
// Persistence Of Vision Raytracer version 1.0 sample file: STEMS1.INC  //
// edited by M.B.Hurley 2 Oct 97 for use with Rooms.INC                 //
// ODD_ENDS.INC                                        Fall 97 Ver. 1.0 //
/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

//#include "towers.inc"

/*----------------------------------------------------------------------*/
//                          Texture Definitions                         //
/*----------------------------------------------------------------------*/

/*

#declare ccc = texture {
   marble
   turbulence 0.4
   colour_map {
      [0.000 0.210  color red  0.333  green  0.467  blue  0.404
                    color red  0.341  green  0.302  blue  0.039  ]
      [0.210 0.555  color red  0.341  green  0.302  blue  0.039
                    color red  0.584  green  0.388  blue  0.373  ]
      [0.555 0.773  color red  0.584  green  0.388  blue  0.373
                    color red  0.816  green  0.647  blue  0.518  ]
      [0.773 1.001  color red  0.816  green  0.647  blue  0.518
                    color red  0.333  green  0.467  blue  0.404  ]
              } //end map
   ambient 0.2 diffuse 0.5 phong 1.0 phong_size 80
} // end texture ccc

*/

/*----------------------------------------------------------------------*/

#declare YourTexture =    /* change to your preference */
texture { Blood_Sky scale <10 20 10> } //stinger engine
//texture { ccc  scale <10 20 10> }

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/
//                            Object Definitions                         //
/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

/*       // START MAJOR COMMENT OUT !!

#declare Tetrahedron = intersection {
   plane { <0.0 -1.0 0.0> 1.0 }
   plane { <0.0 0.0 -1.0> 1.0 rotate <19.47 0.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <19.47 -120.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <19.47 120.0 0.0> }
}

/*----------------------------------------------------------------------*/

#declare Octahedron = intersection {
   plane { <0.0 0.0 1.0> 1.0 rotate <35.26438968275 0.0 0.0> }
   plane { <0.0 0.0 1.0> 1.0 rotate <-35.26438968275 0.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <35.26438968275 0.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <-35.26438968275 0.0 0.0> }

   plane { <1.0 0.0 0.0> 1.0 rotate <0.0 0.0 -35.26438968275> }
   plane { <1.0 0.0 0.0> 1.0 rotate <0.0 0.0 35.26438968275> }
   plane { <-1.0 0.0 0.0> 1.0 rotate <0.0 0.0 -35.26438968275> }
   plane { <-1.0 0.0 0.0> 1.0 rotate <0.0 0.0 35.26438968275> }
}

/*----------------------------------------------------------------------*/

#declare Dodecahedron = intersection {
   plane { <0.0 0.0 -1.0>  1.0 rotate <-26.56505117708 0.0 0.0> }
   plane { <0.0 0.0 -1.0>  1.0 rotate <-26.56505117708 -72.0 0.0> }
   plane { <0.0 0.0 -1.0>  1.0 rotate <-26.56505117708 -144.0 0.0> }
   plane { <0.0 0.0 -1.0>  1.0 rotate <-26.56505117708 -216.0 0.0> }
   plane { <0.0 0.0 -1.0>  1.0 rotate <-26.56505117708 -288.0 0.0> }

   plane { <0.0 0.0 -1.0>  1.0 rotate <26.56505117708 -36.0 0.0> }
   plane { <0.0 0.0 -1.0>  1.0 rotate <26.56505117708 -108.0 0.0> }
   plane { <0.0 0.0 -1.0>  1.0 rotate <26.56505117708 -180.0 0.0> }
   plane { <0.0 0.0 -1.0>  1.0 rotate <26.56505117708 -252.0 0.0> }
   plane { <0.0 0.0 -1.0>  1.0 rotate <26.56505117708 -324.0 0.0> }

   plane { <0.0 1.0 0.0> 1.0 }
   plane { <0.0 -1.0 0.0> 1.0 }
}

/*----------------------------------------------------------------------*/

#declare Icosahedron = intersection {

   plane { <0.0 0.0 -1.0> 1.0 rotate <52.6625 0.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <52.6625 -72.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <52.6625 -144.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <52.6625 -216.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <52.6625 -288.0 0.0> }

   plane { <0.0 0.0 -1.0> 1.0 rotate <10.8125 0.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <10.8125 -72.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <10.8125 -144.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <10.8125 -216.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <10.8125 -288.0 0.0> }

   plane { <0.0 0.0 -1.0> 1.0 rotate <-52.6625 -36.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <-52.6625 -108.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <-52.6625 -180.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <-52.6625 -252.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <-52.6625 -324.0 0.0> }

   plane { <0.0 0.0 -1.0> 1.0 rotate <-10.8125 -36.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <-10.8125 -108.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <-10.8125 -180.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <-10.8125 -252.0 0.0> }
   plane { <0.0 0.0 -1.0> 1.0 rotate <-10.8125 -324.0 0.0> }
}

/*----------------------------------------------------------------------*/

#declare Dot =
quadric {
   < 1.0  1.0  1.0>
   < 0.0  0.0  0.0>
   < 0.0  0.0  0.0>
   -1.0
}

/*----------------------------------------------------------------------*/

#declare Connector_1 =
object {
   quadric {
      < 0.0  1.0  1.0>
      < 0.0  0.0  0.0>
      < 0.0  0.0  0.0>
      -1.0
   }
   clipped_by {
      plane { < 1.0  0.0  0.0> 1.0  }
      plane { <-1.0  0.0  0.0> 0.0  }
   }
}

/*----------------------------------------------------------------------*/

#declare Connector_2 =
quadric {
   < 1.0 -1.0  1.0>
   < 0.0  0.0  0.0>
   < 0.0  0.0  0.0>
   0.0
   rotate < 0.0  0.0  90.0>
}

/*----------------------------------------------------------------------*/

// Torus: major radius sqrt(40), minor radius sqrt(12)

#declare Torus_One =                   //from PoV Sample files
object {
/*
   quartic {                           // hyperbolic donut torus
      < 1.0   0.0    0.0    0.0   2.0   0.0   0.0   2.0   0.0 -104.0
        0.0   0.0    0.0    0.0   0.0   0.0   0.0   0.0   0.0    0.0
        1.0   0.0    0.0    2.0   0.0  56.0   0.0   0.0   0.0    0.0
        1.0   0.0 -104.0    0.0 784.0 >
           } //end quartic Torus
*/
/*
   quartic {                           //parabolic torus "pants"
      < 1.0   0.0   0.0    0.0     2.0   0.0   0.0   0.0  -2.0 -104.0
        0.0   0.0   0.0    0.0     0.0   0.0   0.0   0.0   0.0    0.0
        1.0   0.0   0.0    0.0    -2.0  56.0   0.0   0.0   0.0    0.0
        0.0   0.0   1.0  104.0   784.0 >
           } //end quartic para-torus
*/
   quartic {                           // WTORUS.POV:test17.gif
      < 1.0   0.0    0.0    0.0     2.0   0.0   0.0   2.0   0.0 -116.0
        0.0   0.0    0.0    0.0     0.0   0.0   0.0   0.0   0.0     0.0
        1.0   0.0    0.0    2.0     0.0  80.0   0.0   0.0   0.0     0.0
        1.0   0.0 -116.0    0.0  1600.0 >
           } //end wtorus version torus
   bounded_by { sphere { <0 0 0> 10 } } //end bounding
   texture {
      Grnt15b
      phong 1.0
      phong_size 5
      ambient 0.2
      diffuse 0.6 } //end texture
   color Red
       } // end object Torus

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

#declare YourThing1 =
composite {
   object {
      sphere { < 0.000000  0.000000 -5.000000>  2.950000  }
      texture { YourTexture }
      color Orange
   }
   object {
      sphere { <-1.018770  0.666670 -4.792920>  2.900000  }
      texture { YourTexture }
      color Orange
   }
   object {
      sphere { <-1.952340  1.333330 -4.385020>  2.850000  }
      texture { YourTexture }
      color Orange
   }
   object {
      sphere { <-2.762590  2.000000 -3.802380>  2.800000  }
      texture { YourTexture }
      color Orange
   }
   object {
      sphere { <-3.418470  2.666670 -3.078000>  2.750000  }
      texture { YourTexture }
      color Orange
   }
   object {
      sphere { <-3.897110  3.333330 -2.250000>  2.700000  }
      texture { YourTexture }
      color Orange
   }
   object {
      sphere { <-4.184650  4.000000 -1.359670>  2.650000  }
      texture { YourTexture }
      color Orange
   }
   object {
      sphere { <-4.276440  4.666670 -0.449470>  2.600000  }
      texture { YourTexture }
      color Orange
   }
   object {
      sphere { <-4.176990  5.333330  0.439020>  2.550000  }
      texture { YourTexture }
      color Orange
   }
   object {
      sphere { <-3.899330  6.000000  1.266970>  2.500000  }
      texture { YourTexture }
      color Orange
   }
   object {
      sphere { <-3.464100  6.666670  2.000000>  2.450000  }
      texture { YourTexture }
      color Orange
   }
   object {
      sphere { <-2.898270  7.333330  2.609610>  2.400000  }
      texture { YourTexture }
      color Orange
   }
   bounded_by {
      sphere { <-1.963220  3.391665 -1.470195>  11.343572  }
   }
}

/*----------------------------------------------------------------------*/

#declare YourThing2 =
composite {
   object {
      sphere { <-2.233580  8.000000  3.074270>  2.350000  }
      texture {
         YourTexture
      }
      color Violet
   }
   object {
      sphere { <-1.504930  8.666670  3.380120>  2.300000  }
      texture {
         YourTexture
      }
      color Violet
   }
   object {
      sphere { <-0.748480  9.333330  3.521330>  2.250000  }
      texture {
         YourTexture
      }
      color Violet
   }
   object {
      sphere { < 0.000000  10.000000  3.500000>  2.200000  }
      texture {
         YourTexture
      }
      color Violet
   }
   object {
      sphere { < 0.706900  10.666670  3.325700>  2.150000  }
      texture {
         YourTexture
      }
      color Violet
   }
   object {
      sphere { < 1.342230  11.333330  3.014700>  2.100000  }
      texture {
         YourTexture
      }
      color Violet
   }
   object {
      sphere { < 1.880910  12.000000  2.588860>  2.050000  }
      texture {
         YourTexture
      }
      color Violet
   }
   object {
      sphere { < 2.303750  12.666670  2.074310>  2.000000  }
      texture {
         YourTexture
      }
      color Violet
   }
   object {
      sphere { < 2.598080  13.333330  1.500000>  1.950000  }
      texture {
         YourTexture
      }
      color Violet
   }
   object {
      sphere { < 2.758070  14.000000  0.896150>  1.900000  }
      texture {
         YourTexture
      }
      color Violet
   }
   object {
      sphere { < 2.784660  14.666670  0.292680>  1.850000  }
      texture {
         YourTexture
      }
      color Violet
   }
   object {
      sphere { < 2.685210  15.333340 -0.282230>  1.800000  }
      texture {
         YourTexture
      }
      color Violet
   }
   object {
      sphere { < 2.472750  16.000000 -0.803450>  1.750000  }
      texture {
         YourTexture
      }
      color Violet
   }
   object {
      sphere { < 2.165070  16.666670 -1.250000>  1.700000  }
      texture {
         YourTexture
      }
      color Violet
   }
   bounded_by {
      sphere { < 0.037245  9.183335  1.410665>  12.283659  }
   }
}

/*----------------------------------------------------------------------*/

#declare YourThing3 =
composite {
   object {
      sphere { < 1.783550  17.333330 -1.605920>  1.650000  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   object {
      sphere { < 1.351910  18.000000 -1.860740>  1.600000  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   object {
      sphere { < 0.894820  18.666670 -2.009800>  1.550000  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   object {
      sphere { < 0.436610  19.333330 -2.054110>  1.500000  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   object {
      sphere { <-0.000000  20.000000 -2.000000>  1.450000  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   object {
      sphere { < 0.000000  20.000000 -2.000000>  1.418330  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   object {
      sphere { <-0.401960  20.666670 -1.891090>  1.386670  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   object {
      sphere { <-0.759240  21.333330 -1.705280>  1.355000  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   object {
      sphere { <-1.058010  22.000000 -1.456230>  1.323330  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   object {
      sphere { <-1.288120  22.666670 -1.159830>  1.291670  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   object {
      sphere { <-1.443380  23.333330 -0.833330>  1.260000  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   object {
      sphere { <-1.521690  24.000000 -0.494430>  1.228330  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   object {
      sphere { <-1.524930  24.666670 -0.160280>  1.196670  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   object {
      sphere { <-1.458630  25.333330  0.153310>  1.165000  }
      texture {
         YourTexture
      }
      color SeaGreen
   }
   bounded_by {
      sphere { < 0.341765  13.249165 -1.120745>  15.204232  }
   }
}

/*----------------------------------------------------------------------*/

#declare YourThing4 =
composite {
   object {
      sphere { <-1.331480  26.000000  0.432620>  1.133330  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { <-1.154700  26.666670  0.666670>  1.101670  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { <-0.941320  27.333330  0.847570>  1.070000  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { <-0.705340  28.000000  0.970820>  1.038330  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { <-0.460970  28.666670  1.035350>  1.006670  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { <-0.221770  29.333330  1.043360>  0.975000  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { < 0.000000  30.000000  1.000000>  0.943330  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { < 0.194050  30.666670  0.912940>  0.911670  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { < 0.352500  31.333330  0.791740>  0.880000  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { < 0.470230  32.000000  0.647210>  0.848330  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { < 0.544970  32.666670  0.490700>  0.816670  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { < 0.577350  33.333340  0.333330>  0.785000  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { < 0.570630  34.000000  0.185410>  0.753330  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { < 0.530410  34.666670  0.055750>  0.721670  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   object {
      sphere { < 0.464110  35.333340 -0.048780>  0.690000  }
      texture {
         YourTexture
      }
      color Feldspar
   }
   bounded_by {
      sphere { <-0.551230  18.011670  0.651620>  19.982954  }
   }
}

/*----------------------------------------------------------------------*/

#declare YourThing5 =
composite {
   object {
      sphere { < 0.380420  36.000000 -0.123610>  0.658330  }
      texture {
         YourTexture
      }
      color GreenYellow
   }
   object {
      sphere { < 0.288670  36.666670 -0.166670>  0.626670  }
      texture {
         YourTexture
      }
      color GreenYellow
   }
   object {
      sphere { < 0.198170  37.333340 -0.178430>  0.595000  }
      texture {
         YourTexture
      }
      color GreenYellow
   }
   object {
      sphere { < 0.117560  38.000000 -0.161800>  0.563330  }
      texture {
         YourTexture
      }
      color GreenYellow
   }
   object {
      sphere { < 0.054230  38.666670 -0.121810>  0.531670  }
      texture {
         YourTexture
      }
      color GreenYellow
   }
   object {
      sphere { < 0.013860  39.333340 -0.065210>  0.500000  }
      texture {
         YourTexture
      }
      color GreenYellow
   }
   object {
      sphere { < 0.000000  40.000000  0.000000>  0.468330  }
      texture {
         YourTexture
      }
      color GreenYellow
   }
   bounded_by {
      sphere { < 0.276305  20.234165 -0.129310>  22.285351  }
   }
}

/*----------------------------------------------------------------------*/

#declare stem1 =
composite {
   composite { YourThing1  }
   composite { YourThing2  }
   composite { YourThing3  }
   composite { YourThing4  }
   composite { YourThing5  }
   bounded_by {
      sphere { <-1.109185  18.759165 -1.089335>  25.835200  }
   }
}

/*----------------------------------------------------------------------*/

//   DEFINE  Braided spirals

#declare Spiral_Stem_1 =
composite {
composite { stem1 }
composite { stem1
            rotate < 0  90 0 > }
composite { stem1
            rotate < 0 180 0 > }
composite { stem1
            rotate < 0 270 0 > }
          } // end composite Spiral_Stem 1

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

//   DEFINE a pod-shape: symetrical lumpy masses
//usage: obj { blob
//             threshold: larger shapes <= 0.5 >= smaller shapes
//             component (str #) (radius #) <location>
//             ...any number of components
//         strum: better render, longer time } // end Blob

#declare BigBlob_1 =
   object {
      blob {
         threshold 0.25   //0.20
         component 1.1   1.1   <  0.0    1.5   0.0  >      //body
         component 1.1   1.1   <  0.0    0.0   0.0  >
         component 1.75  1.75  <  0.0   -1.5   0.0  >
         component 0.7 0.6     <  0.5    0.0   0.5  >      //fins
         component 0.7 0.6     < -0.5    0.0  -0.5  >
         component 0.7 0.6     <  0.5    0.0  -0.5  >
         component 0.7 0.6     < -0.5    0.0   0.5  >
         component 0.7 0.6     <  0.5    0.5   0.5  >      //
         component 0.7 0.6     < -0.5    0.5  -0.5  >
         component 0.7 0.6     <  0.5    0.5  -0.5  >
         component 0.7 0.6     < -0.5    0.5   0.5  >
         component 0.7 0.6     <  0.5   -0.5   0.5  >      //
         component 0.7 0.6     < -0.5   -0.5  -0.5  >
         component 0.7 0.6     <  0.5   -0.5  -0.5  >
         component 0.7 0.6     < -0.5   -0.5   0.5  >
           } //end object blob
//      texture { Dark_Wood }
      texture { Silver_Metal }
      scale < 4 4 4 >
      color Firebrick
          } // end object Big Blob 1

/*----------------------------------------------------------------------*/

//   DEFINE  Elliptical tube   *****

#declare Fin_A =
object {                                 
   quadric { Ellipsoid }
//   texture { Dark_Wood }
   texture {  Silver_Metal }
   color Violet
   scale < 1.4 12 1.4 >
       } // end obj Fin

/*----------------------------------------------------------------------*/

//   DEFINE  Elliptical sauser   *****

#declare Disk_A =
object {
   quadric { Ellipsoid }
//   texture { Dark_Wood }
   texture {  Silver_Metal }
   color Blue
   scale < 5.5 1 4.5 >                 //11 long 1 high 9 wide
       } // end obj Saucer Section

/*----------------------------------------------------------------------*/

//   DEFINE  Elliptical sauser   *****

#declare Disk_B =
object {                                 // sphere as light source
   union {
      quadric { Ellipsoid }   //end of obj sphere
      light_source { < 0 0 0 > color Yellow } // end light source
         } // end union sphere/light
   texture { Yellow_Tex ambient 0.9 diffuse 0.5 }
   no_shadow
   color Yellow
   scale < 4.5 0.8 3.5 >          //-1 from _A
       } // end obj Window Section

/*----------------------------------------------------------------------*/

//   DEFINE  Elliptical sauser   *****

#declare Disk_C =
object {
   quadric { Ellipsoid }
//   texture { Dark_Wood }
   texture {  Silver_Metal }
   color Green
   scale < 3.5 1.5 2.5 >               //-1 from B
       } // end obj smaller saucer section

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

//   DEFINE  Chubby space ship  standing on tail

#declare BlobShip_A =                  //final 1st draft 6 Oct
composite {
   object { BigBlob_1 }
   object { Disk_A rotate < 0 0 90 > translate <  0   7 0 > }//blue
   object { Disk_B rotate < 0 0 90 > translate <  0.5 7 0 > }//yellow
   object { Disk_B rotate < 0 0 90 > translate < -0.5 7 0 > }
   object { Disk_C rotate < 0 0 90 > translate <  0.9 7 0 > }//green
   object { Disk_C rotate < 0 0 90 > translate < -0.9 7 0 > }
   object { Fin_A  translate < -3.3 -3.3  3.3 > }
   object { Fin_A  translate <  3.3 -3.3  3.3 > }
   object { Fin_A  translate <  3.3 -3.3 -3.3 > }
   object { Fin_A  translate < -3.3 -3.3 -3.3 > }
   composite { Spiral_Stem_1           //stinger engine
               scale < 0.4 0.4 0.4 >
               rotate < 180 0 0 >
               translate < 0 -11 0 > }
   bounded_by { intersection { Disk_Y scale < 8 25 8 > }
              } //end bounding
          } // end composite Blobby Ship Four A

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

//   DEFINE   An eight-sided beveled-edged glass box: a pseudo-gem
 
#declare Gem_One =
object {
   difference {
      intersection {
         intersection { Cube scale     //body of gem
                        < 1.0 1.0 0.25 > }  //2 units per side
                                       //beveled edges
         plane { < 1 0 0 > -0.5
                 scale < 1.0 1.0 0.25 >
                 rotate < 0 0 -45 >         //top left z edge
                 translate < -0.65 0 0 >
                 inverse
               } //end plane 7
         plane { < 1 0 0 > 0.5
                 scale < 1.0 1.0 0.25 >
                 rotate < 0 0 45 >          //top right z edge
                 translate < 0.65 0 0 >
               } //end plane 8
         plane { < 1 0 0 > -0.5
                 scale < 1.0 1.0 0.25 >
                 rotate < 0 0 45 >          //bottom left z edge
                 translate < -0.65 0 0 >
                 inverse
               } //end plane 9
         plane { < 1 0 0 > 0.5
                 scale < 1.0 1.0 0.25 >
                 rotate < 0 0 -45 >         //bottom right z edge
                 translate < 0.65 0 0 >
               } //end plane 10
         plane { < 0 1 0 > 0.5         
                 scale < 1.0 1.0 0.25 >
                 rotate < -45 0 0 >         //top front x edge
                 translate < 0 0.2 0 >
               } //end plane 1
         plane { < 0 1 0 > 0.5
                 scale < 1.0 1.0 0.25 >
                 rotate < 45 0 0 >          //top rear x edge
                 translate < 0 0.2 0 >
               } //end plane 2
         plane { < 0 1 0 > -0.5
                 scale < 1.0 1.0 0.25 >
                 rotate < -45 0 0 >         //bottom front x edge
                 translate < 0 -0.2 0 >
                 inverse
               } //end plane 3
         plane { < 0 1 0 > -0.5
                 scale < 1.0 1.0 0.25 >
                 rotate < 45 0 0 >          //bottom rear x edge
                 translate < 0 -0.2 0 >
                 inverse
               } //end plane 4
         plane { < 1 0 0 > -0.5
                 scale < 1.0 1.0 0.25 >
                 rotate < 0 -45 0 >         //left front y edge
                 translate < -0.15 0 0 >
                 inverse
               } //end plane 5
         plane { < 1 0 0 > -0.5
                 scale < 1.0 1.0 0.25 >
                 rotate < 0 45 0 >          //left rear y edge
                 translate < -0.15 0 0 >
                 inverse
               } //end plane 6
         plane { < 1 0 0 > 0.5
                 scale < 1.0 1.0 0.25 >
                 rotate < 0 -45 0 >         //right front y edge
                 translate < 0.15 0 0 >
               } //end plane 5
         plane { < 1 0 0 > 0.5
                 scale < 1.0 1.0 0.25 >
                 rotate < 0 45 0 >          //right rear y edge
                 translate < 0.15 0 0 >
               } //end plane 6
                   } //end intersection
              } //end difference
//   texture { oak }      //for quick test
   texture { Glass_B }
   color Orange
       } // end obj Gem One

/*----------------------------------------------------------------------*/

//  DEFINE A gold frame setting for Gem One                        *****

#declare Gold_Frame_1 =
composite {
   object { Rod_X                              //top of Gem
            texture { Gold_Texture }
            scale < 0.15 1 1 >
            translate < 0 3.5 0 > }
   object { Rod_X                              //bottom of Gem
            texture { Gold_Texture }
            scale < 0.15 1 1 >
            translate < 0 1.5 0 > }
   object { Rod_Y                              //right of Gem
            texture { Gold_Texture }
            scale < 1 0.15 1 >
            translate <  0.8 2.5 0 > }
   object { Rod_Y                              //left of Gem
            texture { Gold_Texture }
            scale < 1 0.15 1 >
            translate < -0.8 2.5 0 > }
   object { Planet_Mirror                      //UL
            texture { Gold_Texture }
            scale < 0.35 0.35 0.35 >
            translate < -0.75 3.3 0 > }
   object { Planet_Mirror                      //UR
            texture { Gold_Texture }
            scale < 0.35 0.35 0.35 >
            translate <  0.75 3.3 0 > }
   object { Planet_Mirror                      //LL
            texture { Gold_Texture }
            scale < 0.35 0.35 0.35 >
            translate < -0.75 1.75 0 > }
   object { Planet_Mirror                      //LR
            texture { Gold_Texture }
            scale < 0.35 0.35 0.35 >
            translate <  0.75 1.75 0 > }
          } // end composite Gold Frame

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

//   DEFINE   a Rods-and-Walls thing...

#declare RodWall_One =
composite {
object { Rod_X  translate < 0 0 0 > }       // yellow
object { Rod_Y  translate < 0 0 0 > }       // red
object { Rod_Z  translate < 0 0 0 > }       // green
object { Wall_X1                            // yellow
         scale     < 1 2 2 > } // end Wall X1
object { Wall_Y1                            // red
         scale     < 2 1 2 > } // end Wall Y1
object { Wall_Z1                            // green
         scale     < 2 2 1 > } // end Wall Z1
bounded_by { box { UnitBox scale < 5.1 5.1 5.1 > } }  //bounding
          } // end composite Rod Wall One

/*----------------------------------------------------------------------*/

//  A cluster of RodWall units...      TEST29.GIF

#declare WallUnit_1 =
composite {
composite { RodWall_One }                        //centered
composite { RodWall_One  translate <  5 0  5 > }      // NE +5
composite { RodWall_One  translate < -5 0  5 > }      // NW +5
composite { RodWall_One  translate < -5 0 -5 > }      // SW +5
composite { RodWall_One  translate <  5 0 -5 > }      // SE +5
          } // end composite Wall Unit 1

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

//   DEFINE   a cubic room

#declare CubeRoom =
composite {
   object { Wall_X1                            // yellow
            scale     < 1 1 1 >
            translate < 0 1 1 > } // end Wall X1    west
   object { Wall_X1                            // yellow
            scale     < 1 1 1 >
            translate < 2 1 1 > } // end Wall X1    east
   object { Wall_Z1                            // green
            scale     < 1 1 1 >
            translate < 1 1 2 > } // end Wall Z1    north
   object { Wall_Z1                            // green
            scale     < 1 1 1 >
            translate < 1 1 0 > } // end Wall Z1    south
   object { Wall_Y1                            // red
            scale     < 1 1 1 >
            translate < 1 0 1 > } // end Wall Y1    floor
   object { Wall_Y1                            // red
            scale     < 1 1 1 >
            translate < 1 2 1 > } // end Wall Y1    roof
          } // end composite Cube Room

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

#declare Star_1 =
   object {                                 // sphere as light source
      union {
         quadric { Ellipsoid }   //end of obj sphere
         light_source { < 0 0 0 > color White } // end light source
            } // end union sphere/light
      texture { Yellow_Tex ambient 1 diffuse 0.5 }
      no_shadow
      color Yellow
      scale < 1 1 1 >
            } // end obj union lamp

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

// several Gems in the shapes given above...

#declare Gem_Icosa =
object { intersection { Icosahedron }
         texture { Glass_A }
         color MediumSeaGreen
       } //end obj Icosa...

/*----------------------------------------------------------------------*/

#declare Gem_Dodeca =
object { intersection { Dodecahedron }
         texture { Glass_B }  //{ Glass_A }
         color GreenYellow
       } //end obj Dodeca...

/*----------------------------------------------------------------------*/

#declare Gem_Octa =
object { intersection { Octahedron }
         texture { Glass_A }
         color Turquoise
       } //end obj Octahedron...

/*----------------------------------------------------------------------*/

#declare Gem_Tetra =
object { intersection { Tetrahedron }
         texture { Glass_A }
         color GreenCopper
       } //end obj Tetra...

/*----------------------------------------------------------------------*/

//  DEFINE  Prism: diagonal half cube

#declare Prism_A =                     //box with beveled front edge
object {
   difference {
      intersection {
         intersection { Cube scale < 1 1 1 > }
         plane { < 0 1 0 > 0
                 scale < 1 1 1 >
                 rotate < -45 0 0 >      //45 degree cut from front edge
               } //end plane
         plane { < 0 1 0 > 0
                 scale < 1 1 1 >
                 rotate < 45 0 0 >      //45 degree cut from back edge
               } //end plane
                   } //end intersection
              } //end difference
//   texture { Gray15_Tex }
   texture { Glass_A }
   scale < 2 2 2 >
   color Blue
       }  // end object Prism A

/*----------------------------------------------------------------------*/

//  DEFINE  A tall round display stand

#declare Display_Stand =
composite {
   object {
      intersection { Disk_Y }
                     texture { DMFDarkOak }
                     scale < 0.5 2.5 0.5 >
                     translate < 0 2.5 0 >
                     color Red
          } //end object Disk Y
   object {
      intersection { Cone_Y }
                     texture { DMFDarkOak
                               turbulence 0.3
                               rotate < 5 10 10 > }
                     scale < 1.5 0.5 1.5 >
                     rotate < 0 0 180 >
                     translate < 0 5 0 >
                     color VioletRed
          } //end object Cone Y
          } // end composite Display Stand

/*----------------------------------------------------------------------*/

#declare Gem_One_Display =
composite {
   composite { Display_Stand
               scale < 1.0 1.2 1.0 > }
   object    { Gem_One
               translate < 0 7.5 0 > }
   object    { light_source
                  { < 0 55 0 >
                    color White
                    spotlight
                    point_at < 0 0 0 >
                    tightness 5
                    radius 2.5
                    falloff 5
                  }  //end Gem Spot
             } //end obj light
   bounded_by { intersection { Disk_Y
                               scale < 5 56 5 > }
              } //end bounding
          } // end composite Gem One Display

/*----------------------------------------------------------------------*/

#declare Tetra_Display =
composite {
   composite { Display_Stand
               scale < 1.45 1.6 1.45 > }
   object    { Gem_Tetra translate < 0 9.8 0 > }
   object    { light_source
                  { < 0 50 0 >
                    color White
                    spotlight
                    point_at < 0 0 0 >
                    tightness 50
                    radius 2.5
                    falloff 5
                  }  //end Tetra Spot
             } //end obj light
   bounded_by { intersection { Disk_Y
                               scale < 5 56 5 > }
              } //end bounding
          } // end composite Tetra Display

/*----------------------------------------------------------------------*/

#declare Octa_Display =
composite {
   composite { Display_Stand
               scale < 1.45 1.6 1.45 >
               translate < 0 -2 0 > }
   object    { Gem_Octa
               rotate < 0 45 0 >
               translate < 0 8.25 0 > }
   object    { light_source
                  { < 0 50 0 >
                    color White
                    spotlight
                    point_at < 0 0 0 >
                    tightness 50
                    radius 2.5
                    falloff 5
                  }  //end Octa Spot
             } //end obj light
   bounded_by { intersection { Disk_Y
                               scale < 5 56 5 > }
              } //end bounding
          } // end composite Octa Display

/*----------------------------------------------------------------------*/

#declare Dodeca_Display =
composite {
   composite { Display_Stand
               scale < 0.8 1.4 0.8 > }
   object    { Gem_Dodeca
               translate < 0 8.6 0 > }
   object    { light_source
                  { < 0 60 0 >
                    color White
                    spotlight
                    point_at < 0 0 0 >
                    tightness 5
                    radius 2.5
                    falloff 5
                  }  //end Dodeca Spot
             } //end obj light
   bounded_by { intersection { Disk_Y
                               scale < 5 61 5 > }
              } //end bounding
          } // end composite Dodeca Display

/*----------------------------------------------------------------------*/

#declare Icosa_Display =
composite {
   composite { Display_Stand
               scale < 1.0 1.2 1.0 > }
   object    { Gem_Icosa
               translate < 0 7.5 0 > }
   object    { light_source
                  { < 0 55 0 >
                    color White
                    spotlight
                    point_at < 0 0 0 >
                    tightness 60
                    radius 2.5
                    falloff 5
                  }  //end Icosa Spot
             } //end obj light
   bounded_by { intersection { Disk_Y
                               scale < 5 56 5 > }
              } //end bounding
          } // end composite Icosa Display

/*----------------------------------------------------------------------*/

#declare Prism_A_Display =
composite {
   composite { Display_Stand
               scale < 0.8 1.0 0.8 > }
   object    { Prism_A
               translate < 0 7.5 0 > }
   object    { light_source
                  { < 0 50 0 >
                    color White
                    spotlight
                    point_at < 0 0 0 >
                    tightness 2.5
                    radius 1.5
                    falloff 2.5
                  }  //end Prism Spot
             } //end obj light
   bounded_by { intersection { Disk_Y
                               scale < 5 10 5 > }
              } //end bounding
          } // end composite Prism A Display

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

//   DEFINE   a wooden cross

#declare Cross_Basic =
composite {
   object { Roof_Two translate < 0 0.3 0 >// short square
            texture { DMFDarkOak
                      turbulence 0.4
                      scale < 1 1 1 >
                      rotate < 0 -5 0 > }
            scale < 1 1 1 >
            rotate < 0 0 0 >
            translate < 0 0 0 > } // end Roof 2
   object { Roof_Three                    // long x-axis square
            texture { DMFDarkOak
                      turbulence 0.1
                      scale < 1 1 1 >
                      rotate < 0 5 0 > }
            scale < 1 1 1 >
            rotate < 0 0 0 >
            translate < 0 0 0 > } // end Roof 3
   object { Roof_Four                     // long z-axis square
            texture { DMFDarkOak
                      scale < 1 1 4 >
                      rotate < 3 88 0 > }
            scale < 1 1 1 >
            rotate < 0 0 0 >
            translate < 0 0 0 > } // end Roof 4
          } // end composite Cross Basic

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

#declare Arch_Z =                      // thin arch for arbor
object {
   intersection {
      quadric { Cylinder_Z scale < 1 1 1 > }     //thickness of wall=0.2
      quadric { Cylinder_Z scale < 0.9 0.9 0.9 > inverse }
      plane { <  0.0  0.0  1.0 > 0.05 }          //
      plane { <  0.0  0.0 -1.0 > 0.05 }
      plane { <  0.0  1.0  0.0 > 0.0 inverse }
                 } //end intersection
   color SpringGreen
       } // end object Arch_Z

/* ********************************************************************* */

#declare Arbor_A =
composite {
   object { Arch_Z                          // rear arch
            texture { Fense_Tex }
            scale  < 2.6 2 2.6 >
            translate < 0 7.5 -2.5 > }
   object { Arch_Z                          // front arch
            texture { Fense_Tex }
            scale  < 2.6 2 2.6 >
            translate < 0 7.5 2.5 > }
   object { Rod_Y
            texture { Fense_Tex }
            translate < -2.5  2.5  2.5 > }     //nw
   object { Rod_Y
            texture { Fense_Tex }
            translate < -2.5  2.5 -2.5 > }     //sw
   object { Rod_Y
            texture { Fense_Tex }
            translate <  2.5  2.5  2.5 > }     //ne
   object { Rod_Y
            texture { Fense_Tex }
            translate <  2.5  2.5 -2.5 > }     //se
   object { Rod_Y
            texture { Fense_Tex }
            translate < -2.5  2.5  0.0 > }     //cntr right
   object { Rod_Y
            texture { Fense_Tex }
            translate <  2.5  2.5  0.0 > }     //cntr left

   object { Rod_Z                           //left/west side
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  1.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  1.5  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  2.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  2.5  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  3.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  3.5  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  4.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  4.5  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  5.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  5.5  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  6.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  6.5  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  7.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < -2.5  7.5  0.0 > }

   object { Rod_Z                           //right/east side
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  1.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  1.5  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  2.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  2.5  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  3.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  3.5  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  4.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  4.5  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  5.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  5.5  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  6.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  6.5  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  7.0  0.0 > }
   object { Rod_Z
            texture { Fense_Tex }
            scale < 1 1 0.5 >
            translate < 2.5  7.5  0.0 > }

   object { Rod_X
            texture { Fense_Tex }
            scale < 0.5 1 1 >
            translate < 0 7.0  2.5 > }  // yellow
   object { Rod_X
            texture { Fense_Tex }
            scale < 0.5 1 1 >
            translate < 0 7.0 -2.5 > }  // yellow
   object { Rod_X
            texture { Fense_Tex }
            scale < 0.5 1 1 >
            translate < 0 7.5  2.5 > }  // yellow
   object { Rod_X
            texture { Fense_Tex }
            scale < 0.5 1 1 >
            translate < 0 7.5 -2.5 > }  // yellow
          } // end composite Arbor A

/* ********************************************************************* */

#declare Column_B =
composite {
   object {
      intersection { Cube }
      texture { DMFWood3
                rotate < -91 0 0 >
                turbulence 0.1
                ambient 0.2
                diffuse 0.8
                reflection 0.1
              } //end texture
      color LightWood
      scale < 1 4 1 >
      translate < 0 4 0 > } //end obj post
   object {
      intersection { Cube }
      texture { DMFWood3
                rotate < 89 0 0 >
                turbulence 0.1
                ambient 0.2
                diffuse 0.8
                reflection 0.1
              } //end texture
      color LightWood
      scale < 1.25 0.5 1.25 >
      translate < 0 8 0 > } //end obj post top
   object {
      intersection { Cube }
      texture { DMFWood3
                rotate < 89 0 0 >
                turbulence 0.1
                ambient 0.2
                diffuse 0.8
                reflection 0.1
              } //end texture
      color LightWood
      scale < 1.25 0.5 1.25 >
      translate < 0 0.5 0 > } //end obj post base
          } // end composite Column B: fense post

/* ********************************************************************* */

#declare Fense_Rails =
composite {
   object { Rod_X
            texture { Fense_Tex }
            translate < 0 3 0 > }  // yellow
   object { Rod_X
            texture { Fense_Tex }
            translate < 0 4 0 > }  // yellow
   object { Rod_X
            texture { Fense_Tex }
            translate < 0 5 0 > }  // yellow
   object { Rod_X
            texture { Fense_Tex }
            translate < 0 6 0 > }  // yellow
          } // end composite Fense Rails

/* ********************************************************************* */

#declare Arbor_Fense=
composite {
   composite { Fense_Rails  translate <  -7.5 0 0 > }
   composite { Fense_Rails  translate < -15.0 0 0 > }
   composite { Fense_Rails  translate < -25.0 0 0 > }
   composite { Fense_Rails  translate < -35 0 0 > }
   composite { Fense_Rails  translate < -45 0 0 > }
   composite { Column_B  translate <  -4 0 0 > }
   composite { Column_B  translate < -10 0 0 > }
   composite { Column_B  translate < -20 0 0 > }
   composite { Column_B  translate < -30 0 0 > }
   composite { Column_B  translate < -40 0 0 > }
   composite { Column_B  translate < -50 0 0 > }
          } // end composite Arbor Fense

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

#declare Arch_Thick =                  // for ornaments
object {
   intersection {
      quadric { Cylinder_X scale < 1 1 1 > }
      quadric { Cylinder_X scale < 0.5 0.5 0.5 > inverse }
      plane { <  0.5  0.0  0.0 > 0.25 }
      plane { < -0.5  0.0  0.0 > 0.25 }
      plane { <  0.0 -0.5  0.0 > 0.0 }
      plane { <  0.0  0.0 -0.5 > 0.0 }
                 } //end intersection
   color Maroon
       } // end object Arch_Thick

/*----------------------------------------------------------------------*/

#declare Arch_Thin =
object {
   intersection {
      quadric { Cylinder_X scale < 1 1 1 > }
      quadric { Cylinder_X scale < 0.5 0.5 0.5 > inverse }
      plane { <  0.5  0.0  0.0 > 0.01 }
      plane { < -0.5  0.0  0.0 > 0.01 }
      plane { <  0.0 -0.5  0.0 > 0.0 }
      plane { <  0.0  0.0 -0.5 > 0.0 }
                 } //end intersection
   color Green
       } // end object Arch_Thin

/*----------------------------------------------------------------------*/

#declare Cut_Column =
object {
   difference {
      box { UnitBox
            scale < 2 2 2 > }

      intersection { Disk_Y         //left
                     scale < 0.4 1.25 0.4 >
                     translate < -1.3 0 -2 > }
      quadric { Ellipsoid
                scale < 0.4 0.4 0.4 >
                translate < -1.3  1.2 -2 > }
      quadric { Ellipsoid
                scale < 0.4 0.4 0.4 >
                translate < -1.3 -1.2 -2 > }

      intersection { Disk_Y         //right
                     scale < 0.4 1.25 0.4 >
                     translate <  1.3 0 -2 > }
      quadric { Ellipsoid
                scale < 0.4 0.4 0.4 >
                translate < 1.3  1.2 -2 > }
      quadric { Ellipsoid
                scale < 0.4 0.4 0.4 >
                translate < 1.3 -1.2 -2 > }

      intersection { Disk_Y         //middle
                     scale < 0.4 1.25 0.4 >
                     translate <  0.0 0 -2 > }
      quadric { Ellipsoid
                scale < 0.4 0.4 0.4 >
                translate < 0.0  1.2 -2 > }
      quadric { Ellipsoid
                scale < 0.4 0.4 0.4 >
                translate < 0.0 -1.2 -2 > }
              } // end difference
   color Cyan
   texture { Dark_Wood
             scale < 0.5 1 0.5 > }
       } // end object Cut Column

/*----------------------------------------------------------------------*/

#declare Cornice_A =
composite {
   object { Arch_Thick
            texture { Dark_Wood }
            scale < 1.1 1 1 >
            translate < 0 0 0 > }
   object { Arch_Thin
            texture { Dark_Wood }
            scale < 1 1 1 >
            translate < 0.5 0 -0.1 > }
   object { Arch_Thin
            texture { Dark_Wood }
            scale < 1 1 1 >
            translate < -0.5 0 -0.1 > }
   object { Arch_Thin
            texture { Dark_Wood }
            scale < 1 1 1 >
            translate < 0.3 0 -0.1 > }
   object { Arch_Thin
            texture { Dark_Wood }
            scale < 1 1 1 >
            translate < -0.3 0 -0.1 > }
   object { Arch_Thin
            texture { Dark_Wood }
            scale < 1 1 1 >
            translate < 0.1 0 -0.1 > }
   object { Arch_Thin
            texture { Dark_Wood }
            scale < 1 1 1 >
            translate < -0.1 0 -0.1 > }
   object { Cut_Column
            scale < 0.26 0.5 0.15 >
            translate < 0 -1 0.7 > }
          } // end composite Cornice A

*/    // END MAJOR COMMENT OUT !

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

//  DEFINE  The elements of a Frame Cubic Box
 
#declare Post_Tall =
object { Box_Plain
         texture { Dark_Wood_B }
         color Cyan
         scale < 0.5 5.5 0.5 > }

#declare Post_Wide =
object { Box_Plain
         texture { Dark_Wood_B }
         color CadetBlue
         scale < 5.5 0.5 0.5 > }

#declare Post_Long =
object { Box_Plain
         texture { Dark_Wood_B }
         color SpringGreen
         scale < 0.5 0.5 5.5 > }

#declare Post_Box =
composite {
   object { Post_Tall translate < -5  0 -5 > }
   object { Post_Tall translate <  5  0  5 > }
   object { Post_Tall translate < -5  0  5 > }
   object { Post_Tall translate <  5  0 -5 > }

   object { Post_Wide translate <  0  5 -5 > }
   object { Post_Wide translate <  0  5  5 > }
   object { Post_Wide translate <  0 -5 -5 > }
   object { Post_Wide translate <  0 -5  5 > }

   object { Post_Long translate < -5  5  0 > }
   object { Post_Long translate <  5  5  0 > }
   object { Post_Long translate < -5 -5  0 > }
   object { Post_Long translate <  5 -5  0 > }
          } // end composite Post Box

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/
/*    End of ODD_ENDS.INC File                                          */
/*----------------------------------------------------------------------*/
/*----------------------------------------------------------------------*/
