/* ********************************************************************* */
//   Filename: TEST17.POV & .TGA                      3 Oct 97 Ver 1.0   //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "tex.inc"                     //edited from Textures.INC
#include "odd_ends.inc"                //assorted weird shapes

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.7 } }   // ambient light
max_trace_level 4

/* ********************************** */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 10000 }
         texture { MidBlue_Tex
            ambient 0.7
            diffuse 0.7
                 }  //end texture
         color LightBlue
       }  //end object Sky

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
  direction <  0.0   0.0    3.0 >       // three torii view
  location  < 25.0  20.0  -66.0 >       // SE of < 0 0 0 >
  look_at   <  0.0  10.0    0.0 >       // view center
       }  //end of camera Test View

/* ********************************************************************* */

/* Torus having major radius sqrt(40), minor radius sqrt(12) */

#declare Torus_One =
object {
/*
   quartic {                           // hyperbolic donut torus
      < 1.0   0.0    0.0    0.0   2.0   0.0   0.0   2.0   0.0 -104.0
        0.0   0.0    0.0    0.0   0.0   0.0   0.0   0.0   0.0    0.0
        1.0   0.0    0.0    2.0   0.0  56.0   0.0   0.0   0.0    0.0
        1.0   0.0 -104.0    0.0 784.0 >
           } //end quartic Torus
   quartic {                           //parabolic torus "pants"
      < 1.0   0.0   0.0    0.0     2.0   0.0   0.0   0.0  -2.0 -104.0
        0.0   0.0   0.0    0.0     0.0   0.0   0.0   0.0   0.0    0.0
        1.0   0.0   0.0    0.0    -2.0  56.0   0.0   0.0   0.0    0.0
        0.0   0.0   1.0  104.0   784.0 >
           } //end quartic para-torus
*/
   quartic {                           // WTORUS.POV:test17.gif
      < 1.0   0.0    0.0    0.0     2.0   0.0   0.0   2.0   0.0 -116.0
        0.0   0.0    0.0    0.0     0.0   0.0   0.0   0.0   0.0     0.0
        1.0   0.0    0.0    2.0     0.0  80.0   0.0   0.0   0.0     0.0
        1.0   0.0 -116.0    0.0  1600.0 >
           } //end wtorus version torus
   bounded_by { sphere { <0 0 0> 10 } } //end bounding
   texture {
      Grnt15b
      phong 1.0
      phong_size 5
      ambient 0.2
      diffuse 0.6 } //end texture
   color Red
       } // end object Torus

/* ********************************************************************* */
// DEFINE SCENE  *****   TEST OF ASSORTED STANDARDIZED ELEMENTS    ***** //
/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES
/* ********************************************************************* */

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
object { light_source { FloodSouth } } // low front flood light
object { light_source { FloodSW2 } }    // high flood light
//object { light_source { FloodSW1 } }    // high flood light
//composite { Flood_Bank1 }              // pseudo sun

/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA
/* ********************************************************************* */

camera { TestView }                    // Variable with each view

/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE ELEMENTS IN SCENE
/* ********************************************************************* */

object { Test_Floor  texture { Gray75_Tex } }  //  end Test Floor

/* ********************************************************************* */
/*  *****                   TEST  THIS  OBJECT:                    ***** */
/* ********************************************************************* */

//  basic torus transformations:
object { Torus_One rotate <  0 0  0 > translate <   0  5  0 > } //flat
object { Torus_One rotate < 90 0  0 > translate <   0 10 10 > } //faces N/S
object { Torus_One rotate <  0 0 90 > translate < -10 10  0 > } //faces E/W
/*
// a progression of torii:
object { Torus_One rotate < 90  0  0 > translate < 0 10   0 > }
object { Torus_One rotate < 90  0  0 > translate < 0 10  20 > }
object { Torus_One rotate < 90  0  0 > translate < 0 10  40 > }
object { Torus_One rotate < 90  0  0 > translate < 0 10  60 > }
object { Torus_One rotate < 90  0  0 > translate < 0 10  80 > }
object { Torus_One rotate < 90  0  0 > translate < 0 10 100 > }
object { Torus_One rotate < 90  0  0 > translate < 0 10 110 > }
*/

/* ********************************************************************* */

/*      STORAGE   *****

object { Test_Floor texture { Chex_Tex//Gray75_Tex//Grass } }
composite { Grid_Zero  translate < 0 0 0> }
composite { Grid_Plus  translate < 0 0 0> }
composite { Grid_Up    translate < 0 0 0> }
composite { Push_Pin  translate <  20 0 15 > } //markers
composite { Push_Pin  translate <  20 0 65 > }

*/     //END STORAGE                                                 *****

/* ********************************************************************* */
/* END OF   TEST17 Template   FILE              ************************ */
/* ********************************************************************* */
