/* ********************************************************************* */
//   Filename: TEST24.POV & .GIF                      4 Oct 97 Ver 1.0   //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   The Gem Series ver D: octogon beveled glass box w/ gold frame       //
//   Gem D goes to Odd_Ends as Gem One, final version                    //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "odd_ends.inc"                //assorted weird shapes

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.7 } }   // ambient light
max_trace_level 6

/* ********************************************************************* */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 20000 }
         texture { MidBlue_Tex
            ambient 0.7
            diffuse 0.7
                 }  //end texture
         color LightBlue
       }  //end object Sky

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
  direction <  0.0  0.0  2.0 >         // TEST24.GIF

  location  <  1.0  4.0 -5.5 >         // SE of < 0 0 0 >
  look_at   <  0.0  2.5  0.0 >         // view center

//  location  < 10.0 10.0 -10.0 >        // SE of < 0 0 0 >  
//  look_at   <  0.0  2.5   0.0 >        // view center

//  location  <  0.1  2.5  -7.0 >        // S of < 0 0 0 >
//  look_at   <  0.0  2.5   0.0 >        // view center

//  location  < 10.0  2.5  0.1 >         // E of < 0 0 0 >
//  look_at   <  0.0  2.5  0.0 >         // view center

//  location  <  0.0 20.0 -0.5 >         // above < 0 0 0 >
//  look_at   <  0.0  0.0  0.0 >         // view center
       }  //end of camera Test View

/* ********************************************************************* */
// DEFINE SCENE  *****   TEST OF ASSORTED STANDARDIZED ELEMENTS    ***** //
/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES
/* ********************************************************************* */

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
object { light_source { FloodSouth } } // low front flood light
object { light_source { FloodSW2 } }   // high flood light
//object { light_source { FloodSW1 } }   // high flood light

/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA
/* ********************************************************************* */

camera { TestView }                    // Variable with each view

/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE ELEMENTS IN SCENE
/* ********************************************************************* */

object { Test_Floor  texture { Chex_Tex } }  //  end Test Floor

/* ********************************************************************* */
/*  *****                   TEST  THIS  OBJECT:                    ***** */
/* ********************************************************************* */

object { Gem_One  translate < 0 2.5 0 > }   //Gem sits on floor
composite { Gold_Frame_1 }                  //scaled for Gem 1

/* ********************************************************************* */

/*      STORAGE                                                   *****

object { Test_Floor texture { Chex_Tex//Gray75_Tex//Grass } }
composite { Grid_Zero  translate < 0 0 0> }
composite { Grid_Plus  translate < 0 0 0> }
composite { Grid_Up    translate < 0 0 0> }
composite { Push_Pin  translate <  20 0 15 > } //markers
composite { Push_Pin  translate <  20 0 65 > }
//object { Rod_X  translate < 0 0 0 > }  //tubular markers
//object { Rod_Y  translate < 0 0 0 > }
//object { Rod_Z  translate < 0 0 0 > }

*/     //END STORAGE                                               *****

/* ********************************************************************* */
/* END OF   TEST24 Template   FILE              ************************ */
/* ********************************************************************* */
