/* ********************************************************************* */
//   Filename: TEST31.POV & .GIF                      5 Oct 97 Ver 1.0   //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   Odds and Ends Demo Scene...2                             //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "odd_ends.inc"                //assorted weird shapes

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.4 } }   // ambient light
max_trace_level 6

/* ********************************** */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 50000 }
         texture { MidBlue_Tex
            ambient 0.5
            diffuse 0.5
                 }  //end texture
         color LightBlue
       }  //end object Sky

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
  direction <  0.0  0.0  2.0 >         //TEST31.GIF
  location  <  7.0  7.0 -7.0 >         // SE of < 0 0 0 >
  look_at   <  0.0  0.0  0.0 >         // view center

//  location  <  1.0 8.5 -45.0 >        // SE of < 0 0 0 >
//  look_at   <  0.0 7.5   0.0 >        // view center

//  location  <  2.5  3.0  0.0 >         // E of < 0 0 0 >
//  look_at   <  0.0  3.0  0.0 >         // view center


//  location  <  0.1  2.5  -7.0 >        // S of < 0 0 0 >
//  look_at   <  0.0  2.5   0.0 >        // view center

//  location  <  0.0 20.0 -0.5 >         // above < 0 0 0 >
//  look_at   <  0.0  0.0  0.0 >         // view center
       }  //end of camera Test View

/* ********************************************************************* */
// DEFINE SCENE  *****   TEST OF ASSORTED STANDARDIZED ELEMENTS    ***** //
/* ********************************************************************* */


/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES
/* ********************************************************************* */

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
object { light_source { FloodSW2 } }   // high flood light
object { light_source { FloodSW1 } }   // high flood light
//composite { Flood_Bank1 }              // pseudo sun  -300
//composite { Flood_Bank2 }              // pseudo sun  -700

/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA
/* ********************************************************************* */

camera { TestView }                    // Variable with each view
//camera { OverLow }

/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE ELEMENTS IN SCENE
/* ********************************************************************* */

//  A demo of Odds & Ends objects...      TEST31.GIF

// another Gem shape

#declare Gem_Icosa =
object { intersection { Icosahedron }
         texture { Glass_A }
//         texture { oak }
         color MediumSeaGreen
       } //end obj Icosa...

object { Gem_Icosa }
object { Rod_X }  //tubular markers
object { Rod_Z }
//object { Rod_Y }

/*
composite { WallUnit_1 }               // scene center
composite { CubeRoom       translate <  0 10.0   0 > }
object    { Gem_One        translate <  0  7.5 -35 > }
composite { Gold_Frame_1   translate <  0  5.0 -35 > }
composite { BlobShip_4
            rotate < 55 190 90 >
            translate < 25 15 70 > }
object    { BigBlob_2
            scale < 0.7 0.7 0.7 >
            rotate < 0 0 -45 >
            translate < -10 6 35 > }
object { Star_1                        // north west up star
         scale < 75 75 75 >
         translate < -2200 1600 47000 > }
object { Star_1                        // north east down star
         scale < 100 100 100 >
         translate < 2444 -1200 45000 > }
*/

/* ********************************************************************* */

/*      STORAGE                                                   *****

object { Test_Floor texture { Chex_Tex//Gray75_Tex//Grass } }
composite { Grid_Zero  translate < 0 0 0> }
composite { Grid_Plus  translate < 0 0 0> }
composite { Grid_Up    translate < 0 0 0> }
composite { Push_Pin  translate <  20 0 15 > } //markers
composite { Push_Pin  translate <  20 0 65 > }
object { Rod_X  translate < 0 0 0 > }  //tubular markers
object { Rod_Y  translate < 0 0 0 > }
object { Rod_Z  translate < 0 0 0 > }

*/     //END STORAGE                                               *****

/* ********************************************************************* */
/* END OF   TEST31 Template   FILE              ************************ */
/* ********************************************************************* */
