/* ********************************************************************* */
//   Filename: TEST35.POV & .GIF                      5 Oct 97 Ver 1.0   //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   The Gem Series ver D: octogon beveled glass box w/ gold frame       //
//   Odds and Ends Demo Scene...5                             //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "tex.inc"                     //edited from Textures.INC
#include "odd_ends.inc"                //assorted weird shapes

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.75 } }   // ambient light
max_trace_level 6

/* ********************************** */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 50000 }
         texture { Blue_Tex
            ambient 0.5
            diffuse 0.5
                 }  //end texture
         color LightBlue
       }  //end object Sky

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
  direction <   0.0  0.0   2.5 >         //TEST35.GIF
  location  <   7.5 10.5 -25.0 >         // SE of < 0 0 0 >
  look_at   < -10.0  5.0  10.0 >         // view center

//  location  <  1.0 8.5 -45.0 >        // SE of < 0 0 0 >
//  look_at   <  0.0 7.5   0.0 >        // view center

//  location  <  2.5  3.0  0.0 >         // E of < 0 0 0 >
//  look_at   <  0.0  3.0  0.0 >         // view center


//  location  <  0.1  2.5  -7.0 >        // S of < 0 0 0 >
//  look_at   <  0.0  2.5   0.0 >        // view center

//  location  < -5.0  65.0  4.9 >         // above < 0 0 0 >
//  look_at   < -5.0  0.0  5.0 >         // view center
       }  //end of camera Test View

/* ********************************************************************* */
// DEFINE SCENE  *****   TEST OF ASSORTED STANDARDIZED ELEMENTS    ***** //
/* ********************************************************************* */

#declare Small_Grid =
composite {
   object { Rod_X translate < 2.5 0 0 > }
   object { Rod_X translate < 2.5 0 1 > }
   object { Rod_X translate < 2.5 0 2 > }
   object { Rod_X translate < 2.5 0 3 > }
   object { Rod_X translate < 2.5 0 4 > }
   object { Rod_X translate < 2.5 0 5 > }

   object { Rod_Z translate <  0  0 3 > }
   object { Rod_Z translate < -1  0 3 > }
   object { Rod_Z translate < -2  0 3 > }
   object { Rod_Z translate < -3  0 3 > }
   object { Rod_Z translate < -4  0 3 > }
   object { Rod_Z translate < -5  0 3 > }
          } // end composite Small Grid

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES
/* ********************************************************************* */

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
object { light_source { FloodSW2 } }   // high flood light
object { light_source { FloodSW1 } }   // high flood light
//composite { Flood_Bank1 }              // pseudo sun  -300
//composite { Flood_Bank2 }              // pseudo sun  -700

/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA
/* ********************************************************************* */

camera { TestView }                    // Variable with each view
//camera { OverLow }

/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE ELEMENTS IN SCENE
/* ********************************************************************* */

//  A demo of Odds & Ends objects...      TEST35.GIF

composite { Icosa_Display   translate <  -1.0  0.0  4.3 > }
composite { Tetra_Display   translate < -10.0  0.0 10.0 > }
composite { Octa_Display    translate <  -9.5 -0.3  0.6 > }
composite { Dodeca_Display  translate <  -4.0  0.0  7.5 > }
composite { Gem_One_Display translate <  -3.5 -0.4  2.0 > }

object { Test_Floor texture { Gray75_Tex } }

/* ********************************************************************* */
/* ********************************************************************* */

/*      STORAGE                                                   *****

object { Test_Floor texture { Gray75_Tex }
                    translate < 0 -2.5 0 > }  //5 below normal
object { Plank_Floor translate < 0 -2.5 0 > }  //5 below normal
object { Test_Floor texture { Chex_Tex//Gray75_Tex//Grass } }
composite { Small_Grid translate < 0 0 0 > }
composite { Grid_Zero  translate < 0 0 0 > }
composite { Grid_Plus  translate < 0 0 0 > }
composite { Grid_Up    translate < 0 0 0 > }
composite { Push_Pin  translate <  20 0 15 > } //markers
composite { Push_Pin  translate <  20 0 65 > }
object { Rod_X  translate < 0 0 0 > }  //tubular markers
object { Rod_Y  translate < 0 0 0 > }
object { Rod_Z  translate < 0 0 0 > }

//   Odds and Ends:

object { Gem_Tetra }
object { Gem_Octa }
object { Gem_Dodeca }
object { Gem_Icosa }
composite { WallUnit_1 }               // scene center
composite { CubeRoom       translate <  0 10.0   0 > }
object    { Gem_One        translate <  0  7.5 -35 > }
composite { Gold_Frame_1   translate <  0  5.0 -35 > }
composite { BlobShip_4
            rotate < 55 190 90 >
            translate < 25 15 70 > }
object    { BigBlob_2
            scale < 0.7 0.7 0.7 >
            rotate < 0 0 -45 >
            translate < -10 6 35 > }
object { Star_1                        // north west up star
         scale < 75 75 75 >
         translate < -2200 1600 47000 > }
object { Star_1                        // north east down star
         scale < 100 100 100 >
         translate < 2444 -1200 45000 > }

*/     //END STORAGE                                               *****

/* ********************************************************************* */
/* END OF   TEST35 Template   FILE              ************************ */
/* ********************************************************************* */
