/* ********************************************************************* */
//   Filename: TEST b00.POV                                              //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   Revised Universal Scene Template             Aug96-Oct 97  Ver 2.1  //
//   Odds and Ends Tester ... b-series                6 Oct 97           //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "odd_ends.inc"                // Textures, Complex Objects

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.7 } }   // ambient light
max_trace_level 5

/* ********************************************************************* */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 50000 }
         texture { MidBlue_Tex
            ambient 0.7
            diffuse 0.7
                 }  //end texture
         color MidnightBlue
       }  //end object Sky

/* ********************************************************************* */

// DEFINE SPOT LIGHT on Test Object at < 0 0 0 >

#declare TestSpot =
light_source {
   < 50 50 -60 >                       // from south east
   color White
   spotlight
   point_at < 0 5 0 >                  // Test object
   tightness 5
   radius 10
   falloff 15
             }  // end of TestSpot

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
  direction < 0 0 1.5 >
//  location  <  0.0   0  -60.0 >     // near S
//  look_at   <  0.0   0    0.0 >     // center
//  location  < 70.0   5    0.0 >     // near E
//  look_at   <  0.0   5    0.0 >     // center
  location  < 45.0  20.0  -35.0 >     // near SE
  look_at   <  0.0   0.0    0.0 >     // scene center
       }  //end of camera Test View

/* ********************************************************************* */
//                            Object Definitions                         //
/* ********************************************************************* */

/* ********************************************************************* */
// DEFINE SCENE  *****   TEST OF ASSORTED STANDARDIZED ELEMENTS    ***** //
/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
object { light_source { FloodSW1 } }   // high flood light
object { light_source { FloodSW2 } }   // high flood light
//composite { Flood_Bank1 }              // pseudo sun  -300
//composite { Flood_Bank2 }              // pseudo sun  -700

//                                ***** spots on < 0 0 0 >
//object { light_source { SpotRight1 } } // +x +y +z spot light
//object { light_source { SpotLeft1 } }  // -x +y -z spot light
//object { light_source { SpotRight2 } } // +x -y -z spot light
//object { light_source { SpotLeft2 } }  // -x -y -z spot light

//                                ***** Test Locations
//object { light_source { TestSpot } }   // on < 0 0 0 > Test Object


/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA

camera { TestView }                    // Variable with each view
//camera { OverHigh }                    // < 0 650 -1 >
//camera { OverMed }                     // < 0 300 -1 >
//camera { OverLow }                     // < 0 100 -1 >

/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE ELEMENTS IN SCENE
/* ********************************************************************* */

object { Test_Floor texture { Chex_Tex } translate < 0 -15 0 > }
composite { RodGrid }
composite { RodGrid  translate < 0  0 10 > }     //n
composite { RodGrid  translate < 0 10  0 > }     //up

/* ********************************************************************* */
/* ********************************************************************* */

/*       STORAGE...
composite { Grid_Zero
            translate < 0 0 0> }
composite { Grid_Plus
            translate < 0 0 0> }
composite { Grid_Up
            translate < 0 0 0> }
composite { Push_Pin  translate <  20 0 15 > } //markers
composite { Push_Pin  translate <  20 0 65 > }
object { Rod_X  translate < 0 0 0 > }  //tubular markers
object { Rod_Y  translate < 0 0 0 > }
object { Rod_Z  translate < 0 0 0 > }
composite { RodGrid }
composite { RodGrid  translate < 0  5 0 > }
composite { RodGrid  translate < 0 10 0 > }
*/

/* ********************************************************************* */
/* END OF   TEST  b-series Tester   FILE      ************************** */
/* ********************************************************************* */
