/* ********************************************************************* */
//   Filename: TEST b02.POV                                              //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   Odds and Ends Tester ... b-series                6 Oct 97           //
//   b 02: Display of Gems on Stands: rendered as GEMS01   //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "odd_ends.inc"                // Textures, Complex Objects

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.5 } }   // ambient light
max_trace_level 6

/* ********************************************************************* */

#declare BABlue3 =                     //Our_House sky variant 1.1   7 Oct
texture {                              //saved TEX.INC BABlue2
   bozo
   turbulence  0.125   // 1.0+ :finer grain; >1.0 : puffier grain
   colour_map {
      [ 0.0  0.3  color Aquamarine
                  color red 0.4  green 0.4  blue 0.9 ]
      [ 0.3  0.55 color red 0.4  green 0.4  blue 0.9
                  color red 0.5  green 0.5  blue 0.9 ]
      [ 0.55 0.7  color red 0.5  green 0.5  blue 1.0
                  color White ]
      [ 0.7  1.0  color White
                  color Gray50 ]
              } //end map
        }  //  end Bright Aqua Blue 3 sky

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 50000 }
         texture { LightBlue_Tex  //BABlue3
                   scale < 6000 100 500 >
                   ambient 0.6
                   diffuse 0.6
                 }  //end texture
         color Aquamarine   //color MidnightBlue
       }  //end object Sky

/* ********************************************************************* */

// DEFINE SPOT LIGHT on Test Object at < 0 0 0 >

#declare TestSpot1 =
light_source {
   < 0 10 -10 >                       // from south
   color White
   spotlight
   point_at < 0 5 0 >                  // Test object
   tightness 2
   radius 2
   falloff 4
             }  // end of TestSpot 1

/* ********************************************************************* */

// DEFINE SPOT LIGHT on Test Object at < 0 0 0 >

#declare TestSpot2 =
light_source {
   < 0 7.5 -50 >                       // from south
   color red 0.25 green 0 blue 0
   spotlight
   point_at < 0 7.5 0 >                  // Test object
   tightness 2
   radius 2
   falloff 5
             }  // end of TestSpot 2

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
  direction < 0 0 2 >                  // B02.GIF Gem Display
//  location  <   0.0 15.0 -20.0 >       // near SE
//  look_at   <   0.0  5.0   0.0 >       // scene center

  location  <  0.0   1.5  -10.0 >      // near S
  look_at   <  0.0   1.5    0.0 >      // center

//  location  < 25.0   5.0    0.0 >      // near E
//  look_at   <  0.0   5.0    0.0 >      // center

//  location  <  0.0   7.0   -8.0 >      // near S
//  look_at   <  0.0   7.0    0.0 >      // scene center
       }  //end of camera Test View

/* ********************************************************************* */
//                            Object Definitions                         //
/* ********************************************************************* */

/* ********************************************************************* */
// DEFINE SCENE  *****   TEST OF ASSORTED STANDARDIZED ELEMENTS    ***** //
/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
object { light_source { FloodSW1 } }   // high flood light -1000
object { light_source { FloodSW2 } }   // high flood light -500
//composite { Flood_Bank1 }              // pseudo sun  -300
//composite { Flood_Bank2 }              // pseudo sun  -700

//                                ***** Test Locations
//object { light_source { TestSpot1 } }  // on < 0 0 0 > Test Object
//object { light_source { TestSpot2 } }  // on < 0 0 0 > Test Object


/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA

camera { TestView }                    // Variable with each view
//camera { OverHigh }                    // < 0 650 -1 >
//camera { OverMed }                     // < 0 300 -1 >
//camera { OverLow }                     // < 0 100 -1 >

/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE ELEMENTS IN SCENE
/* ********************************************************************* */

//  A demo of Odds & Ends objects...      TEST35.GIF

composite { Prism_A_Display translate < 0 -5 0 > }

//backdrop wall
object { Wall_Z1
         texture { Display_A }
         scale     < 10 10  1 >
         translate < 0 10 15 > } // end Wall Z1
object { Test_FloorB texture { Grnt20 } }

/*
composite { Gem_One_Display translate <  -4.1 -0.4  1.5 > }
composite { Icosa_Display   translate <  -1.5  0.0  4.4 > }
composite { Tetra_Display   translate < -10.0  0.0 10.0 > }
composite { Octa_Display    translate <  -9.5 -0.3  0.6 > }
composite { Dodeca_Display  translate <  -4.0  0.0  7.5 > }
composite { Prism_A_Display translate <  -5.0 -5.0  0.0 > }
*/

/* ********************************************************************* */
/* ********************************************************************* */

/*       STORAGE...
composite { Grid_Zero translate < 0 0 0> }
composite { Grid_Plus translate < 0 0 0> }
composite { Grid_Up   translate < 0 0 0> }
composite { Push_Pin  translate <  20 0 15 > } //markers
composite { Push_Pin  translate <  20 0 65 > }
object { Rod_X  translate < 0 0 0 > }  //tubular markers
object { Rod_Y  translate < 0 0 0 > }
object { Rod_Z  translate < 0 0 0 > }
composite { RodGrid  translate < 0  0 0 > }
composite { RodGrid  translate < 0  5 0 > }
composite { RodGrid  translate < 0 10 0 > }
*/

/* ********************************************************************* */
/* END OF   TEST  b_02 Tester   FILE      ************************** */
/* ********************************************************************* */
