/* ********************************************************************* */
//   Filename: TEST b03.POV                                              //
//   Michael Brendan Hurley for ShadowDancer Enterprizes, LTD.           //
//   Revised Universal Scene Template             Aug96-Oct 97  Ver 2.1  //
//   Odds and Ends Tester ... b-series                6 Oct 97           //
//   b 03: Arbor, clipped torii, rod trellis:    //
/* ********************************************************************* */

/* ********************************************************************* */
//                           Global Definitions                          //
/* ********************************************************************* */

#include "basic.inc"                   // Lights Cameras Simple objects
#include "odd_ends.inc"                // Textures, Complex Objects
//#include "towers.inc"
//#include "rooms.inc"

/* ********************************************************************* */
/* ********************************************************************* */

// DEFINE DEFAULTS

#default { texture { ambient 0.6 } }   // ambient light
max_trace_level 4

/* ********************************************************************* */

// DEFINE SKY  ***** *****

object { sphere { < 0 0 0 > 5000 }
         texture { Black_Tex           // LightBlue_Tex or BABlue3
//                   scale < 1000 1000 1000 >
//                   ambient 0.6
//                   diffuse 0.6
                 }  //end texture
         color Black                   // LightBlue or MidnightBlue
       }  //end object Sky

/* ********************************************************************* */

// DEFINE SPOT LIGHT on Test Object at < 0 0 0 >

/*
#declare TestSpot1 =
light_source {
   < 0 30 -30 >                       // from south
   color White
   spotlight
   point_at < 0 5 0 >                  // Test object
   tightness 5
   radius 5
   falloff 10
             }  // end of TestSpot 1
*/

/* ********************************************************************* */

// DECLARE TEST CAMERA  *****  set location and look_at  *****

#declare TestView =
camera {
  direction < 0 0 2 >                  //
//  location  < 150.0 500.0 -1000.0 >    // far S
//  look_at   <   0.0   0.0     0.0 >    // scene center

//  location  <  0.0 75.0  -10.0 >      // above
//  look_at   <  0.0   0.0    0.0 >      // center

//  location  <  7.0   0.0  0.5 >        // near E
//  look_at   <  0.0   0.0  0.5 >        // center

  location  < 1 2.5 -40 >        // due South
  look_at   < 0 2.5   0 >        // scene center
       }  //end of camera Test View

/* ********************************************************************* */
// DEFINE SCENE  *****   TEST OF ASSORTED STANDARDIZED ELEMENTS    ***** //
/* ********************************************************************* */

/* ********************************************************************* */
// LIGHTS!                        ***** DEFINE LIGHT SOURCES

//                                ***** global lighting
//object { light_source { FloodRear } }  // high rear flood light
//object { light_source { FloodSouth } } // low front flood light
//object { light_source { FloodSW1 } }   // high flood light -1000
//object { light_source { FloodSE2 } }   // high flood light -500
//composite { Flood_Bank1 }              // pseudo sun  -300
composite { Flood_Bank2 }              // pseudo sun  -700

//                                ***** Test Locations
//object { light_source { TestSpot1 } }  // on < 0 0 0 > Test Object
//object { light_source { TestSpot2 } }  // on < 0 0 0 > Test Object

/* ********************************************************************* */
// CAMERA!                        ***** POSITION CAMERA

camera { TestView }                    // Variable with each view

/* ********************************************************************* */
// ACTION!                        ***** DESCRIBE ELEMENTS IN SCENE
/* ********************************************************************* */

#declare Square_Frame =
composite {
   object { Post_Tall translate < -5  0 0 > }
   object { Post_Tall translate <  5  0 0 > }
   object { Post_Wide translate <  0  5 0 > }
   object { Post_Wide translate <  0 -5 0 > }
          } // end composite Square Frame

/* ********************************************************************* */

#declare Rectangle_Frame =
composite {
   object { Post_Tall translate < -10  0 0 > }   //wide in x-axis
   object { Post_Tall translate <  10  0 0 > }
   object { Post_Wide translate <   5  5 0 > }
   object { Post_Wide translate <  -5  5 0 > }
   object { Post_Wide translate <   5 -5 0 > }
   object { Post_Wide translate <  -5 -5 0 > }
          } // end composite Rectangle Frame

/* ********************************************************************* */

object    { Test_Floor texture { Gray75_Tex } }
//composite { RodGrid  translate < 0 0 0 > }
composite { Square_Frame translate < 0 5.5 0 > }
//composite { Rectangle_Frame translate < 0 5.5 0 > }

/* ********************************************************************* */
/* ********************************************************************* */

/*       STORAGE...
composite { Grid_Zero translate < 0 0 0> }
composite { Grid_Plus translate < 0 0 0> }
composite { Grid_Up   translate < 0 0 0> }
composite { Push_Pin  translate <  20 0 15 > } //markers
composite { Push_Pin  translate <  20 0 65 > }
object { Rod_X  translate < 0 0 0 > }  // yellow e/w
object { Rod_Y  translate < 0 0 0 > }  // red
object { Rod_Z  translate < 0 0 0 > }  // green  n/s
composite { RodGrid  translate < 0  0 0 > }
composite { RodGrid  translate < 0  5 0 > }
composite { RodGrid  translate < 0 10 0 > }
object { Wall_Z1                       //backdrop wall
         texture { Gray75_Tex }
         scale     <  20 10  1 >
         translate < -10 10 15 > } // end Wall Z1
*/

/* ********************************************************************* */
/* END OF   TEST  b_03 Tester   FILE      ************************** */
/* ********************************************************************* */
